org.keycloak.dom.saml.v2.ac.classes

## Class TechnicalProtectionBaseType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.classes.ExtensionListType
  - - org.keycloak.dom.saml.v2.ac.classes.TechnicalProtectionBaseType

-     public class TechnicalProtectionBaseType
      extends ExtensionListType

  Java class for TechnicalProtectionBaseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TechnicalProtectionBaseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice minOccurs="0">
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}PrivateKeyProtection"/>
                 <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}SecretKeyProtection"/>
               </choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac:classes:AuthenticatedTelephony}Extension"
       maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PrivateKeyProtectionType` | `privateKeyProtection`
    `protected SecretKeyProtectionType` | `secretKeyProtection`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.ac.classes.ExtensionListType

      `content`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TechnicalProtectionBaseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PrivateKeyProtectionType` | `getPrivateKeyProtection()` Gets the value of the privateKeyProtection property.
    `SecretKeyProtectionType` | `getSecretKeyProtection()` Gets the value of the secretKeyProtection property.
    `void` | `setPrivateKeyProtection(PrivateKeyProtectionType value)` Sets the value of the privateKeyProtection property.
    `void` | `setSecretKeyProtection(SecretKeyProtectionType value)` Sets the value of the secretKeyProtection property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.ac.classes.ExtensionListType

      `add, getContent, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### privateKeyProtection

          protected PrivateKeyProtectionType privateKeyProtection

    - #### secretKeyProtection

          protected SecretKeyProtectionType secretKeyProtection

  - ### Constructor Detail

    - #### TechnicalProtectionBaseType

          public TechnicalProtectionBaseType()

  - ### Method Detail

    - #### getPrivateKeyProtection

          public PrivateKeyProtectionType getPrivateKeyProtection()

      Gets the value of the privateKeyProtection property.
      Returns:
        possible object is `PrivateKeyProtectionType`

    - #### setPrivateKeyProtection

          public void setPrivateKeyProtection(PrivateKeyProtectionType value)

      Sets the value of the privateKeyProtection property.
      Parameters:
        `value` - allowed object is `PrivateKeyProtectionType`

    - #### getSecretKeyProtection

          public SecretKeyProtectionType getSecretKeyProtection()

      Gets the value of the secretKeyProtection property.
      Returns:
        possible object is `SecretKeyProtectionType`

    - #### setSecretKeyProtection

          public void setSecretKeyProtection(SecretKeyProtectionType value)

      Sets the value of the secretKeyProtection property.
      Parameters:
        `value` - allowed object is `SecretKeyProtectionType`

Copyright © 2020 JBoss by Red Hat. All rights reserved.